ImageMagick 6.x < 6.9.6-5 TIFFGetProperties() NULL Pointer Dereference DoS

This script is Copyright (C) 2016-2017 Tenable Network Security, Inc.


Synopsis :

An application installed on the remote Windows host is affected by a
denial of service vulnerability.

Description :

The version of ImageMagick installed on the remote Windows host is 6.x
prior to 6.9.6-5. It is, therefore, affected by a denial of service
vulnerability due to a NULL pointer dereference flaw in the
TIFFGetProperties() function within file coders/tiff.c.
An unauthenticated, remote attacker can exploit this, via a specially
crafted TIFF image, to crash a process linked against the library.

See also :

https://github.com/ImageMagick/ImageMagick/issues/298
http://seclists.org/oss-sec/2016/q4/472

Solution :

Upgrade to ImageMagick version 6.9.6-5 or later. Note that you may
also need to manually uninstall the vulnerable version from the
system.

Risk factor :

High / CVSS Base Score : 7.1
(CVSS2#AV:N/AC:M/Au:N/C:N/I:N/A:C)
CVSS Temporal Score : 5.9
(CVSS2#E:F/RL:OF/RC:ND)
Public Exploit Available : true

Family: Windows

Nessus Plugin ID: 95719 ()

Bugtraq ID: 94489

CVE ID: CVE-2016-9559

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now